|  | Home · All Classes · Modules

# QUdpSocket.BindMode Class Reference
[QtNetwork module]

### Methods

- __init__ (self, BindMode)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- BindMode __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, BindMode f)
- BindMode __iand__ (self, int mask)
- int __int__ (self)
- BindMode __invert__ (self)
- BindMode __ior__ (self, BindMode f)
- BindMode __ixor__ (self, BindMode f)
- bool __ne__ (self, BindMode f)
- BindMode __or__ (self, BindMode f)
- BindMode __or__ (self, int f)
- BindMode __xor__ (self, BindMode f)
- BindMode __xor__ (self, int f)

## Detailed Description

BindFlag may be used whenever BindMode is expected.

## Method Documentation

### BindMode.__init__ (self, BindMode)

### BindMode.__init__ (self, int)

### BindMode.__init__ (self)

### BindMode BindMode.__and__ (self, int mask)

### int BindMode.__bool__ (self)

### bool BindMode.__eq__ (self, BindMode f)

### BindMode BindMode.__iand__ (self, int mask)

### int BindMode.__int__ (self)

### BindMode BindMode.__invert__ (self)

### BindMode BindMode.__ior__ (self, BindMode f)

### BindMode BindMode.__ixor__ (self, BindMode f)

### bool BindMode.__ne__ (self, BindMode f)

### BindMode BindMode.__or__ (self, BindMode f)

### BindMode BindMode.__or__ (self, int f)

### BindMode BindMode.__xor__ (self, BindMode f)

### BindMode BindMode.__xor__ (self, int f)